from argparse import ArgumentParser
from typing import Any

from pymap.backend import backends
from pymap.interfaces.backend import BackendInterface


class MinifluxBackend(BackendInterface):

    @classmethod
    def add_subparser(cls, name: str, subparsers: Any) -> ArgumentParser:
        parser = subparsers.add_parser(name, help='Serve')
        return parser


backends.add("miniflux", MinifluxBackend)
